Bug 56526 - agpgart oopses on IBM A30p
Summary: agpgart oopses on IBM A30p
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-20 16:32 UTC by Didier
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-27 13:07:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops trace (1.18 KB, text/plain)
2001-11-20 16:34 UTC, Didier
no flags Details
lspci output (4.69 KB, text/plain)
2001-11-20 16:35 UTC, Didier
no flags Details

Description Didier 2001-11-20 16:32:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
"modprobe agpgart" results in an oops

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. modprobe agpgart
2.
3.
	

Actual Results:  oops (see attachment ; symbols resolved)

Expected Results:  agpgart loads nice and quickly, no questions asked.

Additional info:

IBM A30p , i830 chipset, ATI Radeon Mobility M6 LY (see attached lspci log).

2.4.9-13 (RH) : unknown device
2.4.13-0.6 (RH) : oops
2.4.15-pre7 (homemade, yum) : oops

"modprobe radeon" loads OK

Comment 1 Didier 2001-11-20 16:34:37 UTC
Created attachment 38043 [details]
oops trace

Comment 2 Didier 2001-11-20 16:35:28 UTC
Created attachment 38044 [details]
lspci output

Comment 3 Didier 2001-11-20 16:36:32 UTC
Perhaps related to bug #56525 (XFree86 fails) ?


Comment 4 Didier 2001-11-27 13:06:54 UTC
Patch to detect i830MP in agpgart submitted by Nicolas.Aspert@epfl.ch for
inclusion in next kernel release.

Status -> closed ?


Comment 5 Arjan van de Ven 2001-11-27 13:24:41 UTC
I've added the patch to the tree for our next kernel; hopefully it'll appear in
rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.